# norootforbuild
%define pkg_name    gnupg
%define pkg_version 1.3.3
#
Name: php5-gnupg
Version: %{pkg_version}
Release: 2.3
#
License: BSD
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires: php5-devel
%if 0%{?suse_version} < 1010
BuildRequires: gpgme libgpg-error-devel
%else 
BuildRequires: gpgme-devel
%endif

#
URL: http://pecl.php.net/gnupg
Source: http://pecl.php.net/package/gnupg/%{pkg_name}-%{version}.tgz
Patch0: php5-gnupg-lib64.patch
Summary:  PHP wrapper around the gpgme library
%description

This extension provides methods to interact with gnupg.

Authors:
---------

	Thilo Raufeisen <traufeisen@php.net>

%debug_package
%prep
%setup -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"

%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-gnupg=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable gnupg extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/gnupg.ini
echo 'extension = gnupg.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/gnupg.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/gnupg.so
%{_sysconfdir}/php5/conf.d/gnupg.ini

%doc LICENSE EXPERIMENTAL README

%changelog
* Wed Jul 17 2013 cs@linux-administrator.com
- update to release 1.3.3
* Fri May  4 2007 judas_iscariote@shorewall.net
- update to version 1.3.1 fixing a double-free with recent gpgme-lib
